Subject: Re: [bug#47506] [PATCH] gnu: fiano-fmap: turn off tests to build program.

From: Jack Hill <[email-masked]>
Date: Wed, 31 Mar 2021 02:28:55 -0400 (EDT)

Hi,

Thanks for your interest in fiano-fmap!

On Wed, 31 Mar 2021, Adam Kandur via Guix-patches via wrote:

>
> From b5a149a0ae68eb2692463f0d77f3da686ff23864 Mon Sep 17 00:00:00 2001
> From: Adam Kandur <[email-masked]>
> Date: Wed, 31 Mar 2021 01:46:49 +0300
> Subject: [PATCH] gnu: fiano-fmap: turn off tests to build program.
>
> * gnu/packages/admin.scm (fiano-fmap): turn off tests to build program.
> ---
>  gnu/packages/admin.scm | 4 +++-
>  1 file changed, 3 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
> index 292a4bc..14f7864 100644
> --- a/gnu/packages/admin.scm
> +++ b/gnu/packages/admin.scm
> @@ -4431,7 +4431,9 @@ disk utilization, priority, username, state, and exit code.")
>      (name "fiano-fmap")
>      (arguments
>       `(#:import-path "github.com/linuxboot/fiano/cmds/fmap"
> -       #:unpack-path "github.com/linuxboot/fiano"))))
> +       #:unpack-path "github.com/linuxboot/fiano"
> +       ;; tests dont work
> +       #:tests? #f))))
>  
>  (define-public novena-eeprom
>    (package
>

When I first noticed the test failure in #45172 [0] it wasn't clear to me 
that the test failure was harmless rather than exhibiting an actual problem 
in our fiano-fmap package. Can you confirm that the package works as 
expected? I also wonder if we could make a smaller change and just disable 
the problematic test rather than the whole suite.

I've also noticed that fiano-fmap has a release candidate for version 
6.0.0. I wonder if that version fixes the problem (I may have to give it a 
try, although this one may come back to needing improvements in the 
go-build-system).

[0] https://issues.guix.gnu.org/45172

Best,
Jack